//========= Copyright © 1996-2005, Sander Corporation, All rights reserved. ============//
//
// Purpose: Doesn't do anything, just holds rts player info
//
// $NoKeywords: $
//=============================================================================//

#ifndef CRTSPLAYERINFO_H
#define CRTSPLAYERINFO_H
#ifdef _WIN32
#pragma once
#endif

class CRTSPlayerInfo : public CPointEntity
{
	DECLARE_CLASS( CRTSPlayerInfo, CPointEntity );
public:
	DECLARE_DATADESC();	

	CRTSPlayerInfo() {}

public:
	int m_iTeamid;
	int m_iResources;		// start resource
	Vector m_vTeamColorTable;  // color
	int m_iFaction;
};

BEGIN_DATADESC( CRTSPlayerInfo )
	DEFINE_KEYFIELD(m_iTeamid, FIELD_INTEGER, "teamid" ),
	DEFINE_KEYFIELD(m_iResources, FIELD_INTEGER, "resource" ),
	DEFINE_KEYFIELD(m_vTeamColorTable, FIELD_VECTOR, "color" ),
	DEFINE_KEYFIELD(m_iFaction, FIELD_INTEGER, "faction" ),
END_DATADESC()

LINK_ENTITY_TO_CLASS( rts_playerinfo, CRTSPlayerInfo );

#endif	// CRTSPLAYERINFO_H